// --------------------------------------------------------
// Code generated by Papyrus C
// --------------------------------------------------------

/* 
 * File generated from the CCodegenTest::Class1 uml class
 * Generated by the Papyrus C Generator (CEA LIST) 
 *
 */

#ifndef CLASS1_H_
#define CLASS1_H_

/*
 * -------------------- Includes and declares --------------------
 */
// Derived includes
// End of Derived includes
// Derived declarations
// End of Derived declares

// Std headers
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
// End of Std headers

/*
 * ------------------- Public Class Description ------------------
 */
//  Structure 
/* Class Macro definition */
#define Class1(OBJ) ((Class1*)OBJ)

typedef struct Class1 Class1;

struct Class1 {

	int /* private */iVal;

};

// Constructor and destructor declarations 
/*
 * --------- Default constructor & destructor prototypes ---------
 */

// Property initialisation declarations
// Class methods declarations
/*
 * -------------------- Function Declarations --------------------
 */
/**
 * 
 */
void
Class1__Class1(Class1 *self);

/**
 * 
 */
Class1*
Class1_Class1(Class1 cSource, Class1 *self);

// Class receptions declarations

// ----------------------------------Public Global VariableDescription----------------------------------

// ----------------------------------Global Public Functions----------------------------------

// ----------------------------------Signal Event Process Functions Implementations--------------------------------

// ----------------------------------Call Event Process Functions ----------------------------------

#endif /*CLASS1_H_*/
